import React from "react";
import { Container, ThemeProvider } from "@material-ui/core";
import { theme } from "../../style/Theme";
import { DeploymentsTable } from "./DeploymentsTable";
import deployments from "../../mocks/fixtures/PagedDeploymentResponse.json";
import asyncCombinedDeployments from "../../mocks/fixtures/AsyncCombinedDeployments.json";

export default {
  title: "Deployments/DeploymentsTable",
  component: DeploymentsTable,
};

const Template = (args) => <ThemeProvider theme={theme}><Container><DeploymentsTable {...args} /></Container></ThemeProvider>;

export const Empty = Template.bind({});
Empty.args = {
  loading: false,
  deployments: [],
  totalCount: 0,
  rowsPerPage: [5, 10, 20, 50, 100],
  lazyParams: { first: 0, rows: 10, page: 0 },
  columnSort: { sortField: null, sortOrder: null },
  setLazyParams: () => { },
  setColumnSort: () => { },
}

export const EmptyLoading = Template.bind({});
EmptyLoading.args = { ...Empty.args, loading: true }

export const BeforeAsync = Template.bind({});
BeforeAsync.args = { ...Empty.args, totalCount: deployments.totalCount, deployments: deployments.deployments}

export const AfterAsync = Template.bind({});
AfterAsync.args = { ...BeforeAsync.args, deployments: asyncCombinedDeployments}
