import React from "react";
import { Container, ThemeProvider } from "@material-ui/core";
import { theme } from "../../style/Theme";
import hosts from "../../mocks/fixtures/PagedCSEntryHostResponse.json"
import { HostTable } from "./HostTable";

export default {
  title: "Host/HostTable",
  component: HostTable,
};

const Template = (args) => <ThemeProvider theme={theme}><Container><HostTable {...args} /></Container></ThemeProvider>;

export const Empty = Template.bind({});
Empty.args = {
  loading: false,
  hosts: [],
  totalCount: 0,
  rowsPerPage: [5, 10, 20, 50, 100],
  lazyParams: { first: 0, rows: 10, page: 0 },
  columnSort: { sortField: null, sortOrder: null },
  setLazyParams: () => { },
  setColumnSort: () => { },
}

export const EmptyLoading = Template.bind({});
EmptyLoading.args = { ...Empty.args, loading: true }

export const Populated = Template.bind({});
Populated.args = { ...Empty.args, totalCount: hosts.totalCount, hosts: hosts.csEntryHosts}